Sets the size of the Gmagick object

- « Gmagick::setsamplingfactors

- Gmagick::shearimage »

- PHP Manual
- Gmagick
- Sets the size of the Gmagick object

# Gmagick::setsize

(PECL gmagick >= Unknown)

Gmagick::setsize — Sets the size of the Gmagick object

### Description

public Gmagick::setsize(int `$columns`, int `$rows`): Gmagick

Sets the size of the Gmagick object. Set it before you read a raw image format such as `Gmagick::COLORSPACE_RGB`, `Gmagick::COLORSPACE_GRAY`, or `Gmagick::COLORSPACE_CMYK`.

### Parameters

`columns`

  The width in pixels.

`rows`

  The height in pixels.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.